Bug 1461235 - [hS9lzo1v] Failed to add jenkins slave podTemplate from imagestream and imagestreamtag automatic
[hS9lzo1v] Failed to add jenkins slave podTemplate from imagestream and image...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.6.z
Assigned To: Gabe Montero
Dongbo Yan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 22:28 EDT by Dongbo Yan
Modified: 2017-09-11 09:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-11 09:38:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Jenkins pod log (90.72 KB, application/octet-stream)
2017-06-13 22:28 EDT, Dongbo Yan
no flags Details

  None (edit)
Description Dongbo Yan 2017-06-13 22:28:03 EDT
Created attachment 1287494 [details]
Jenkins pod log

Description of problem:
Failed to add jenkins slave podTemplate from imagestream and imagestreamtag automatic. The openshift sync jenkins plugin should be able to create slave PodTemplates from:
ImageStreams with a 'role=jenkins-slave' label
and ImageStreamTags with a 'role=jenkins-slave' annotation

Version-Release number of selected component (if applicable):
openshift/jenkins-2-centos7@sha256:c40793abbf6fa031dc117e0251a5daa947dc2fa4b84f5882dbe42e1147424d50
openshift-sync 0.1.18

How reproducible:
Always

Steps to Reproduce:
1.Create a jenkins server
 $oc new-app jenkins-ephemeral
2.Create a imagestream with 'role=jenkins-slave' label
3.Log into jenkins webconsole to check if new slave podTemplate created

Actual results:
No new slave podTemplate created

Expected results:
Should add new slave podTemplate automatic

Additional info:
Comment 1 Gabe Montero 2017-06-13 22:45:46 EDT
https://github.com/openshift/jenkins-sync-plugin/pull/143 has the sync plugin change

I've initiated the creation of v0.1.19 of the sync plugin upstream.

I'll post an update when it is available and I start updating the openshift jenkins centos image to include that version.
Comment 2 Gabe Montero 2017-06-14 14:48:57 EDT
https://github.com/openshift/jenkins/pull/310 has merged

the docker.io/openshift/jenkins-*-centos7 images should be updated within the hour.

so when Dongbo Yan arrives in the office Thursday AM his time, he should be able to pull the latest image and attempt to verify the fix

moving to on qa
Comment 3 Dongbo Yan 2017-06-15 04:16:19 EDT
Verified
Test with openshift/jenkins-2-centos7@sha256:2e66a1d1f567acf52813aed30a9ef214749ee566fdbf1ce24efc215026cf09eb
openshift-sync 0.1.19

could add slave podTemplate from imagestream and imagestreamtag
Comment 4 Gabe Montero 2017-09-11 09:38:33 EDT
This bug was fixed in the release where the associated feature was introduced.

So no doc updates are needed.

With the delivery of 3.6, this bug should be marked closed.  Doing so now.

Note You need to log in before you can comment on or make changes to this bug.